# Class FieldRepeat

FieldRepeat Class

#### Hierarchy

- FieldRepeat

#### Implements

- AbstractFieldRepeat

- Defined in saltcorn-data/models/fieldrepeat.ts:19

#####
Index

### Constructors

constructor

### Properties

defaultNone
fancyMenuEditor
fields
isRepeat
label
layout?
metadata?
name
showIf?
type

### Accessors

form_name

### Methods

generate
validate
validate_from_ix

## Constructors

### constructor

- new FieldRepeat(o): FieldRepeat

- FieldRepeat constructor

  #### Parameters

  - ##### o: FieldRepeatCfg

  #### Returns FieldRepeat

  - Defined in saltcorn-data/models/fieldrepeat.ts:35

## Properties

### defaultNone

defaultNone: boolean

- Defined in saltcorn-data/models/fieldrepeat.ts:29

### fancyMenuEditor

fancyMenuEditor: boolean

- Defined in saltcorn-data/models/fieldrepeat.ts:27

### fields

fields: FieldLike[]

Implementation of AbstractFieldRepeat.fields

- Defined in saltcorn-data/models/fieldrepeat.ts:23

### isRepeat

isRepeat: boolean = true

- Defined in saltcorn-data/models/fieldrepeat.ts:25

### label

label: string

- Defined in saltcorn-data/models/fieldrepeat.ts:20

### `Optional` layout

layout?: Layout

- Defined in saltcorn-data/models/fieldrepeat.ts:24

### `Optional` metadata

metadata?: any

- Defined in saltcorn-data/models/fieldrepeat.ts:28

### name

name: string

Implementation of AbstractFieldRepeat.name

- Defined in saltcorn-data/models/fieldrepeat.ts:21

### `Optional` showIf

showIf?: any

- Defined in saltcorn-data/models/fieldrepeat.ts:26

### type

type: string

- Defined in saltcorn-data/models/fieldrepeat.ts:22

## Accessors

### form_name

- get form_name(): string

- #### Returns string

  - Defined in saltcorn-data/models/fieldrepeat.ts:106

## Methods

### generate

- generate(): Promise<void>

- #### Returns Promise<void>

  - Defined in saltcorn-data/models/fieldrepeat.ts:53

### validate

- validate(whole_rec): {
  errors: any;
  } | {
  success: any;
  }

- #### Parameters

  - ##### whole_rec: any

  #### Returns {
  errors: any;
  } | {
  success: any;
  }

  - Defined in saltcorn-data/models/fieldrepeat.ts:69

### validate_from_ix

- validate_from_ix(whole_rec, ix): SuccessMessage

- #### Parameters

  - ##### whole_rec: any

  - ##### ix: number

  #### Returns SuccessMessage

  - Defined in saltcorn-data/models/fieldrepeat.ts:78

Generated using TypeDoc